#!/usr/bin/perl -w
use strict;
use Socket;
socket(my $socket, PF_INET, SOCK_STREAM, Socket::IPPROTO_TCP()) || 
  die "could not create socket: $!";
my $addr = inet_aton("127.0.0.1");
my $bind = pack_sockaddr_in(1235, $addr);
bind($socket, $bind) || 
    die "Could not bind socket to 127.0.0.1:1235: $!";

defined($addr = inet_aton("localhost")) ||
    die "Could not find an address for 'localhost'";
my $destination = pack_sockaddr_in(1234, $addr);
connect($socket, $destination) || 
    die "Could not connect to localhost:1234: $!";
defined(my $line = <$socket>) || 
    die "Unexpected EOF on connection to 127.0.0.1:1234\n";
print STDERR "Peer said: $line";
