#!/usr/bin/perl -w
use strict;
use IO::Socket::INET;

defined(my $file = shift) || die "Usage: $0 file\n";

my $socket = IO::Socket::INET->new(PeerAddr => "127.0.0.1",
                                   PeerPort => 1234) || 
    die "Could not listen on 127.0.0.1:1234: $!";

open(my $fh, "<", $file) || die "Could not open $file: $!";
local $_;
print $socket $_ while <$fh>;
shutdown($socket, 1);
1 while <$socket>;
